@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

#MatrixPage {
  display: grid;

  height: 100%;

  grid-template-rows: 54px 54px 75px auto 28px;
  grid-template-columns: 1fr 0px 0px 40px;

  overflow: hidden;

  grid-template-areas:
    "tab-bar overlay drawer side-bar"
    "tool-bar overlay drawer side-bar"
    "scene-panel overlay drawer side-bar"
    "content overlay drawer side-bar"
    "status-bar status-bar drawer side-bar";

  .DrawerOverlay {
    position: relative;
    grid-area: drawer;

    .drawer-wrapper {
      right: 40px;

      .body {
        max-height: calc(100% - 100px);
        overflow-y: auto;
        padding-bottom: 0px;
      }
    }
  }

  #NotificationOverlay {
    grid-area: overlay;
    overflow-x: hidden;
    transform: translate(-2.6rem, -1.5rem);
  }

  #StatusBar {
    grid-area: status-bar;
    position: relative;

    .status-bottom-bar {
      position: unset;
      width: 100% !important;
    }
  }

  .TabBar {
    overflow-x: hidden;
    grid-area: tab-bar;
  }

  .MenuBar {
    grid-area: tool-bar;
    align-self: center;

    .Menu {
      .Item, .GroupTitle {
        text-transform: capitalize !important;
      }
    }
  }

  .MenuBar, .PanelBar, #Matrix {
    margin-left: 50px;
  }

  .PanelBar {
    grid-area: scene-panel;
    display: flex;
    column-gap: 36px;
  }

  #Matrix {
    overflow: auto;
    position: relative;
    grid-area: content;

    margin-bottom: 24px;
  }

  #MatrixLayout {
    margin-bottom: 54px;
  }

  .status-bottom-bar {
    position: fixed;
    left: 0;
    width: calc(100% - 40px);
  }

  .SideBar {
    z-index: 100;
    grid-area: side-bar;

    display: grid;
    grid-template-rows: 1fr 1fr;

    grid-template-areas:
      "top-control"
      "bottom-control";
  }

  .bottom-control {
    grid-area: bottom-control;
  }
}

@include themify('page', $themes) {
  &#MatrixPage {
    background-color: themed('background');

    .SideBar {
      background-color: themed('panel-background');
    }

    .Separator {
      border-left: solid 1px themed('panel-text');
    }
  }

  .DrawerOverlay .drawer-wrapper {
    border-right: solid 4px themed('status-focus');
  }
}

@include themify('caption', $themes) {
  font-family: themed('font-family');
  color: themed('item-text');
}
